Quick Start

Complete these tasks to set up your environment and use the REST API to configure or query Oracle Communications Unified Assurance.

Prerequisites

Prerequisite More Information
Install Unified Assurance. Installation Guide
Set up authentication for the REST API. Authenticate

Task 1: Obtain account information

From your AAA administrator, obtain the account credentials for accessing the REST API. The default account is api.

Task 2: Send a request

You can send a simple cURL request to ensure that your connection works. For example, if you want to get a list of all roles configured for Unified Assurance, you can use one of the following requests, depending on your authentication method.

For basic authentication:

curl -u api:password -X GET https://hostFQDN:port/api/AAA/Roles/

For TLS authentication:

curl --cert user-api.crt --key user-api.key -X GET https://hostFQDN:port/api/AAA/Roles/

where:

  • api:password are the user name and password for accessing the API
  • user-api.crt and user-api.key are the TLS certificate and key for the API user
  • hostFQDN:port is the host FQDN and port where the API is running. You can replace hostFQDN with clusterFQDN if you have set up a cluster-level FQDN. See Microservice Cluster Setup for more information.

The API will return a list of roles in JSON format.